Taslak Yüz Kaplama

From FreeCAD Documentation
Revision as of 00:00, 27 January 2019 by Skywalker21 (talk | contribs)
Jump to: navigation, search
Other languages:
čeština • ‎Deutsch • ‎English • ‎español • ‎français • ‎italiano • ‎polski • ‎română • ‎русский • ‎svenska • ‎Türkçe

Official icon not found Yüz kaplama

Menü konumu
Taslak → Yüz kaplama
Tezgahlar
Taslak, Mimari
Varsayılan kısayol
F F
Versiyonda tanıtıldı
0.14
Ayrıca bkz
Parça Kutu, Mimari Duvar


Tanım

Yüz kaplama, diğer nesnelerin seçilmiş yüzlerinden yapılmış çok basit bir nesnedir. Parametriktir, orijinal nesneyi değiştirebilir ve ön yüz nesnesi buna göre güncellenir. Daha sonra, örneğin, diğer nesnelerden bir yüz topluluğundan bir ekstrüzyon yapmak için kullanılabilir. Tipik bir kullanım, birkaç duvar parçasını kapsayan bir nesne inşa etmek için mimari tasarımdadır. Yüz tutucuyu yarattıktan sonra hareket ettirebilir ve döndürebilirsiniz, her şey orijinal yüzlere bağlı kalacaktır.

It can be used to create an extrusion from a collection of faces from other objects. A typical use is in architectural design to build an object that covers several walls, for example, a wall paper, or wall finish.

Draft facebinder example.jpg

Facebinder created from the faces of solid walls


Nasıl kullanılır

  1. Nesnelerdeki yüzleri seçin (birkaç yüz seçmek için CTRL kullanın)
  2. Draft Facebinder.png Yüz kaplama, düğmesine basın veya F, F tuşlarına basın

The Facebinder can be edited by double clicking on the element in the tree view. Then you can change the faces that are part of the object.

  • To add a face, click on a face of a solid object in the 3D view, and then click on the Arch Add.svg Add button.
  • To remove a face, select one of the sub-elements in the list, and then click on the Arch Remove.svg Remove button.
  • Press Esc or the OK button to complete the edition.

Options

This object has no options when it's being created. Only selected faces will be used to create the Facebinder object.

Properties

Data

  • DataExtrusion: specifies an extrusion thickness to apply to all faces of the shape.
  • DataRemove Splitter: if it is True it tries to fuse the internal intersections of the Facebinder when it extruded.
  • DataSew: if it is True it tries to perform a topological sewing operation on the Facebinder when it extruded.

View

  • ViewPattern: specifies a Draft Pattern with which to fill the face of the shape. This property only works if ViewDisplay Mode is "Flat Lines".
  • ViewPattern Size: specifies the size of the Draft Pattern.

Betik

Yüz kaplama aracı, aşağıdaki işlevler kullanılarak komut dosyalarında ve makrolar içinde kullanılabilir:

Facebinder = makeFacebinder(selectionset, name="Facebinder")
  • Verilen seçim kümesinden, FreeCADGui.Selection.getSelectionEx () yönteminin döndürdüğü gibi seçim nesnelerinin bir listesi olan bir yüz kaplama nesnesi oluşturur.
  • Sadece seçilen yüzler dikkate alınır.
  • Yeni oluşturulan nesneyi döndürür.

The thickness of the ShapeString can be added by overwriting its Extrusion attribute; the value is entered in millimeters.

The placement of the ShapeString can be changed by overwriting its Placement attribute, or by individually overwriting its Placement.Base and Placement.Rotation attributes.

Örnek:

import FreeCAD, FreeCADGui, Draft

# Insert a solid box
Box = FreeCAD.ActiveDocument.addObject("Part::Box", "Box")
Box.Length = 2300
Box.Width = 800
Box.Height = 1000

# Pick any two side faces, and then
selection = FreeCADGui.Selection.getSelectionEx()
Facebinder = Draft.makeFacebinder(selection)
Facebinder.Extrusion = 50
FreeCAD.ActiveDocument.recompute()

Facebinder.Placement.Base = FreeCAD.Vector(1000, -1000, 100)
Facebinder.ViewObject.ShapeColor = (0.99, 0.99, 0.4)